using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class CompteBusinessObject
{
	#region Propriété row
	private BanqueDataSet.COMPTERow row;
	/// <summary>
	/// Rattache les propriétés de l'objet à une ligne DataROw
	/// </summary>
	public BanqueDataSet.COMPTERow Row
	{
		get { return row; }
		set { row = value; }
	} 
	#endregion

	#region Propriété Id_compte	
	private int id_compte;
	public int Id_compte
	{
		get 		
		{
			if (row != null)
				return row.ID_COMPTE;
			else
				return id_compte;
		}
		set 
		{
			if (row != null)
				row.ID_COMPTE = value;
			else
				id_compte = value;
		}
	}
	#endregion

	#region "Propriété Titulaire"
	private string titulaire;
	public string Titulaire
	{
		get 
		{
			if (row != null)
				return row.TITULAIRE;
			else
				return titulaire;
		}
		set 
		{
			if (row != null)
				row.TITULAIRE = value;
			else
				titulaire = value;
		}
	}
	#endregion

	#region Propriété Solde	
	private decimal solde;
	public decimal Solde
	{
		get 
		{
			if (row != null)
				return row.SOLDE;
			else
				return solde;
		}
		set 
		{
			if (row != null)
				row.SOLDE = value;
			else
				solde = value;
		}
	}
	#endregion

	#region Constructeur
	public CompteBusinessObject()
	{
		row = null;
		id_compte = 0;
		titulaire = null;
		solde = 0;
	} 
	#endregion

	#region "Méthodes métier"

	#endregion
}
